# io.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

unsigned char | inportByte (unsigned int)
| input one byte from specified port
unsigned long | inportDWord (unsigned int)
| input one double word from specified port
unsigned short | inportWord (unsigned int)
| input one word from specified port
void | outportByte (unsigned int, unsigned char)
| outputut one byte to specified port
void | outportByteP (unsigned int port, unsigned char value)
| outputut one byte to specified port with a delay
void | outportDWord (unsigned int port, unsigned long value)
| outputut one double word to specified port
void | outportWord (unsigned int, unsigned short)
| outputut one word to specified port

## Function Documentation

unsigned char inportByte | ( | unsigned int | port | ) |

input one byte from specified port

Parameters:

  | port | address of port for reading

Returns:
  returns unsigned char value

Definition at line 39 of file io.c.

Referenced by _int13(), atkbd_scan(), backSpace(), countMemory(), dp_recv(), fdcRw(), getByte(), hdInit(), hdRead(), hdWrite(), initLNC(), kbdRead(), kbdWrite(), keyboardHandler(), kprint(), ne2k_init(), ne2kHandler(), pciRead(), PCtoNIC(), sendByte(), setLED(), systemTask(), timeCmosRead(), tty_init(), and waitFdc().

unsigned long inportDWord | ( | unsigned int | port | ) |

input one double word from specified port

Parameters:

  | port | address of port for reading

Returns:
  returns unsigned double word value

Definition at line 134 of file io.c.

Referenced by pciRead().

unsigned short inportWord | ( | unsigned int | port | ) |

input one word from specified port

Parameters:

  | port | address of port for reading

Returns:
  returns unsigned short value

Definition at line 56 of file io.c.

Referenced by _int13(), getblock(), hdInit(), hdRead(), lanceProbe(), lncInt(), NICtoPC(), pciRead(), readBcr(), and readCsr().

void outportByte | ( | unsigned int | port,
|  | unsigned char | value |
| ) |  |  |

outputut one byte to specified port

Parameters:

  | port | address of port for writing
  | value | byte to output to port

Definition at line 73 of file io.c.

Referenced by _dmaXfer(), _int13(), atkbd_scan(), backSpace(), c_ap_boot(), clearScreen(), countMemory(), dp_recv(), fdcRw(), floppyIsrhndlr(), getblock(), hdInit(), hdRead(), hdWrite(), i8259_init(), irqDisable(), irqEnable(), kbdWrite(), keyboardHandler(), kprint(), lncInt(), motorOn(), mouseHandler(), mouseInit(), ne2k_init(), ne2kHandler(), NICtoPC(), pciWrite(), PCtoNIC(), pit_init(), reset(), sendByte(), setLED(), systemTask(), tty_change(), tty_init(), and tty_print().

void outportByteP | ( | unsigned int | port,
|  | unsigned char | value |
| ) |  |  |

outputut one byte to specified port with a delay

Parameters:

  | port | address of port for writing
  | value | byte to output to port

Definition at line 88 of file io.c.

Referenced by pit_init(), and timeCmosRead().

void outportDWord | ( | unsigned int | port,
|  | unsigned long | value |
| ) |  |  |

outputut one double word to specified port

Parameters:

  | port | address of port for writing
  | value | double word to output to port

Definition at line 119 of file io.c.

Referenced by pciRead(), and pciWrite().

void outportWord | ( | unsigned int | port,
|  | unsigned short | value |
| ) |  |  |

outputut one word to specified port

Parameters:

  | port | address of port for writing
  | value | word to output to port

Definition at line 104 of file io.c.

Referenced by _int13(), hdWrite(), lncInt(), pciWrite(), PCtoNIC(), readBcr(), readCsr(), writeBcr(), and writeCsr().